#!/bin/sh

if [ $# -gt 0 ]; then
    exec $*
fi

echo Starting ${APP_VERSION}

if [ $FLASK_ENV == "development" ]; then
	echo "Running app in debug mode"
	export FLASK_DEBUG=1
	flask run --host 0.0.0.0
else
	echo "Running app in production mode"
	gunicorn wsgi:app --config gunicorn.conf.py
fi
